import os
import shutil


def copy_files(source_dir, destination_dir):
    # Iterate over all files in the source directory
    for filename in os.listdir(source_dir):
        source_path = os.path.join(source_dir, filename)

        # Check if the file contains parentheses in its title
        if "(" in filename or ")" in filename:
            print(f"Ignoring file: {filename}")
            continue

        # Copy the file to the destination directory
        destination_path = os.path.join(destination_dir, filename)
        shutil.copy2(source_path, destination_path)
        print(f"Copied file: {filename}")


# Source directory
source_directory = 'E:\Dojo\Internship\week 4\streamlit_init\content\download'

# Destination directory
destination_directory = 'E:\Dojo\Internship\week 4\streamlit_init\content\download_eng'

# Copy files from source to destination
copy_files(source_directory, destination_directory)